#!/bin/bash
if [ "$1" == "" ]; then
	echo syntax: $0 how_many
fi
TEMP=$(mktemp)
(
printf "set key off\n"
printf "plot "
LIMIT=$1
for ((i=1;i<=$LIMIT;i++)); do
	printf "'segments%05u' using 1:3 w l" $i
	if [ $((i+1)) -le $LIMIT ]; then printf ",\\"; fi
	printf "\n"
done
printf "pause -1\n"
) > $TEMP
gnuplot $TEMP
rm $TEMP
