#!/bin/bash
if [ "$2" == "" ]; then
	echo syntax: $0 prefix how_many
	exit 1
fi
TEMP=$(mktemp)
(
printf "set key off\n"
printf "plot "
LIMIT=$2
for ((i=1;i<=$LIMIT;i++)); do
	printf "'%s%05u' w l" $1 $i
	if [ $((i+1)) -le $LIMIT ]; then printf ",\\"; fi
	printf "\n"
done
printf "pause -1\n"
) > $TEMP
gnuplot $TEMP
rm $TEMP
